GNU bug report logs - #11710
24.1.50; Bidi attributes are not exported in org-mode html output

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,org-mode; Reported by: Dov Grobgeld <dov.grobgeld@HIDDEN>; dated Thu, 14 Jun 2012 18:24:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11710 <at> debbugs.gnu.org:


Received: (at 11710) by debbugs.gnu.org; 15 Jun 2012 07:58:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 15 03:58:46 2012
Received: from localhost ([127.0.0.1]:43613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfRQb-000464-Vh
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2012 03:58:46 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:42361)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SfRQY-00045v-VI
	for 11710 <at> debbugs.gnu.org; Fri, 15 Jun 2012 03:58:44 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M5N00G00FCAMF00@HIDDEN> for
	11710 <at> debbugs.gnu.org; Fri, 15 Jun 2012 10:55:43 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M5N00GR3FCUJK70@HIDDEN>;
	Fri, 15 Jun 2012 10:55:43 +0300 (IDT)
Date: Fri, 15 Jun 2012 10:55:44 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11710: 24.1.50;
	Bidi attributes are not exported in org-mode html output
In-reply-to: <CA++fsGEeiz7E3n7FpdYOceEeKsxX5WZr-ZKH_qFzF86t9eh29w@HIDDEN>
To: Dov Grobgeld <dov.grobgeld@HIDDEN>
Message-id: <83pq91f1q7.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <CA++fsGGSgAUPUGuy6n=G0xB=7oHa3MHuDy+CxOnoNPAae3i+ug@HIDDEN>
	<8362aty921.fsf@HIDDEN>
	<CA++fsGEeiz7E3n7FpdYOceEeKsxX5WZr-ZKH_qFzF86t9eh29w@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 11710
Cc: 11710 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Fri, 15 Jun 2012 09:17:36 +0300
> From: Dov Grobgeld <dov.grobgeld@HIDDEN>
> Cc: 11710 <at> debbugs.gnu.org
>=20
> On Thu, Jun 14, 2012 at 10:42 PM, Eli Zaretskii
> > > [stuff deleted]
> >
> > Did you customize Emacs to dynamically determine the paragraph
> > direction in Org buffers? =C2=A0By default they are forced to be
> > left-to-right.
>=20
> Yes, I changed that. Org-mode appears to me to work fine in dynamic
> Bidi mode, so I don't understand the reasoning that it was turned o=
ff
> by default.

2 reasons:

 . If you maintain Org files with mixed L2R and R2L contents, having
   some items on the left and some on the right looks messed up,
   especially if the parent item is on the other side of the window.

 . Performance.  Dynamic detection of paragraph direction can slow
   down redisplay, if you have long stretches of items without empty
   lines to separate them.  When sub-trees are hidden, this could
   cause an annoying effect whereby moving cursor past one visible
   line causes a perceptible delay (because there are many hundreds o=
f
   hidden lines Emacs needs to move through in the buffer).  This
   punishes Org users who don't use bidirectional scripts, which are
   the majority of Org users.  So in traditions of democracy, the
   majority wins...

> > =C2=A0(save-excursion
> > =C2=A0 =C2=A0(goto-char N)
> > =C2=A0 =C2=A0(current-bidi-paragraph-direction))
>=20
> Ok, thanks. Perhaps I'll have a go at it on my own.

Please consider reporting here if you get it to work, because Org
maintainers may wish to use your code.

TIA





Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#11710; Package emacs,org-mode. Full text available.

Message received at 11710 <at> debbugs.gnu.org:


Received: (at 11710) by debbugs.gnu.org; 15 Jun 2012 06:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 15 02:20:38 2012
Received: from localhost ([127.0.0.1]:43526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfPtd-0001ud-EE
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2012 02:20:38 -0400
Received: from mail-ob0-f172.google.com ([209.85.214.172]:33762)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dov.grobgeld@HIDDEN>) id 1SfPtb-0001uW-QQ
	for 11710 <at> debbugs.gnu.org; Fri, 15 Jun 2012 02:20:36 -0400
Received: by obbwc20 with SMTP id wc20so2557457obb.3
	for <11710 <at> debbugs.gnu.org>; Thu, 14 Jun 2012 23:17:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=Kvl1qW6X+tAyhHn3+uEnewBkhv1VgluqRJCpHJWGI/o=;
	b=sx+LIFkymV60yrsZDa6CNuTnjz/2+ulFikTJLlDaTD4zTYRvkTdehBGoApcj4QvMl2
	c4MIGwabCG2o82O7hWkrIvPZN7fhtmMRvg4jOECLNQUjWf7t3HkgtmxUh/iftFLsMRn5
	lLzmCHdwhBPTemvqyykXbwUGScA9VnBaE/2kSxNjTZ22xN35hkS+iWWEW1RmjGYH949F
	GchNvLLSY9q09JJBnHeHFvMNw04oPdtNAGCqjQilqyGJXqAJfC2nq6m0Azwr7Hl3kvnk
	+a974hGm+LplMHyZejWfu60kmwPhuvuEPo1YjZhp3qKFWb3StUVPhN0hFlhwcmHBaXNA
	lFDg==
MIME-Version: 1.0
Received: by 10.60.9.193 with SMTP id c1mr4533912oeb.47.1339741056783; Thu, 14
	Jun 2012 23:17:36 -0700 (PDT)
Received: by 10.182.17.10 with HTTP; Thu, 14 Jun 2012 23:17:36 -0700 (PDT)
In-Reply-To: <8362aty921.fsf@HIDDEN>
References: <CA++fsGGSgAUPUGuy6n=G0xB=7oHa3MHuDy+CxOnoNPAae3i+ug@HIDDEN>
	<8362aty921.fsf@HIDDEN>
Date: Fri, 15 Jun 2012 09:17:36 +0300
Message-ID: <CA++fsGEeiz7E3n7FpdYOceEeKsxX5WZr-ZKH_qFzF86t9eh29w@HIDDEN>
Subject: Re: bug#11710: 24.1.50; Bidi attributes are not exported in org-mode
	html output
From: Dov Grobgeld <dov.grobgeld@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11710
Cc: 11710 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Thu, Jun 14, 2012 at 10:42 PM, Eli Zaretskii
> > [stuff deleted]
>
> Did you customize Emacs to dynamically determine the paragraph
> direction in Org buffers? =C2=A0By default they are forced to be
> left-to-right.

Yes, I changed that. Org-mode appears to me to work fine in dynamic
Bidi mode, so I don't understand the reasoning that it was turned off
by default.

> > [stuff deleted]
> To the Org maintainers: the resolved paragraph direction at character
> position N in the current buffer can be retrieved like this:
>
> =C2=A0(save-excursion
> =C2=A0 =C2=A0(goto-char N)
> =C2=A0 =C2=A0(current-bidi-paragraph-direction))

Ok, thanks. Perhaps I'll have a go at it on my own.

Regards,
Dov




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#11710; Package emacs,org-mode. Full text available.

Message received at 11710 <at> debbugs.gnu.org:


Received: (at 11710) by debbugs.gnu.org; 14 Jun 2012 19:45:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 14 15:45:12 2012
Received: from localhost ([127.0.0.1]:42658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfFyh-0004Vd-W9
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 15:45:12 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:45498)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SfFyf-0004VV-Ti
	for 11710 <at> debbugs.gnu.org; Thu, 14 Jun 2012 15:45:10 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M5M00F00H6GN400@HIDDEN> for
	11710 <at> debbugs.gnu.org; Thu, 14 Jun 2012 22:42:13 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M5M00FIVHEDNV00@HIDDEN>;
	Thu, 14 Jun 2012 22:42:13 +0300 (IDT)
Date: Thu, 14 Jun 2012 22:42:30 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11710: 24.1.50;
	Bidi attributes are not exported in org-mode html output
In-reply-to: <CA++fsGGSgAUPUGuy6n=G0xB=7oHa3MHuDy+CxOnoNPAae3i+ug@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dov Grobgeld <dov.grobgeld@HIDDEN>
Message-id: <8362aty921.fsf@HIDDEN>
References: <CA++fsGGSgAUPUGuy6n=G0xB=7oHa3MHuDy+CxOnoNPAae3i+ug@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 11710
Cc: 11710 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Thu, 14 Jun 2012 21:20:17 +0300
> From: Dov Grobgeld <dov.grobgeld@HIDDEN>
> 
> When using bidi (bi-direction) reordering together with org-mode, all
> paragraphs automatically become either RTL or LTR according to the
> emacs' Bidi heuristic algorithm.

Did you customize Emacs to dynamically determine the paragraph
direction in Org buffers?  By default they are forced to be
left-to-right.

> But when exporting to HTML, the resolved paragraph direction is not
> included. In HTML the paragraph directions must be set explicitly,
> e.g. by <div dir="RTL">...</div>, and they should be set according
> to the directions resolved by emacs.

To the Org maintainers: the resolved paragraph direction at character
position N in the current buffer can be retrieved like this:

  (save-excursion
    (goto-char N) 
    (current-bidi-paragraph-direction))




Information forwarded to bug-gnu-emacs@HIDDEN, emacs-orgmode@HIDDEN:
bug#11710; Package emacs,org-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jun 2012 18:23:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 14 14:23:30 2012
Received: from localhost ([127.0.0.1]:42612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SfEhc-0002ca-IS
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 14:23:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45648)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dov.grobgeld@HIDDEN>) id 1SfEhY-0002cP-5y
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 14:23:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dov.grobgeld@HIDDEN>) id 1SfEeg-000084-9M
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 14:20:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:59247)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dov.grobgeld@HIDDEN>) id 1SfEeg-00007v-30
	for submit <at> debbugs.gnu.org; Thu, 14 Jun 2012 14:20:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47266)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dov.grobgeld@HIDDEN>) id 1SfEec-0000Ib-R5
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 14:20:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dov.grobgeld@HIDDEN>) id 1SfEeZ-00006t-7Y
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 14:20:22 -0400
Received: from mail-gh0-f169.google.com ([209.85.160.169]:55135)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dov.grobgeld@HIDDEN>) id 1SfEeY-00006j-V5
	for bug-gnu-emacs@HIDDEN; Thu, 14 Jun 2012 14:20:19 -0400
Received: by ghrr18 with SMTP id r18so1939437ghr.0
	for <bug-gnu-emacs@HIDDEN>; Thu, 14 Jun 2012 11:20:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:date:message-id:subject:from:to:content-type;
	bh=hpiJUn9DNVAVw5AUzTF+oyQbNFS6cAHEXHoNYLwicBE=;
	b=sHNhj4rV4+LlJrS9szsY/qCh7hQisyKjBq4Xh7XQA7ezToWwb14VSZnKtJ2D24ADN/
	RdzK/VDLj1c8DyN8szZAkBgBr9sdTck+rXpvhyciwQWv7rpOnuKxBHa6RWZaP0OooSif
	47vNoL+gz/m+qzEtDNv1w+eGaVfD8sQk9T5IVrbnXJ5TTdeQDWq92bdVtFguKBqOhaql
	tanuOtS4Kh3g3j0xH1XrPMTjXNB/bu7hKUIez9iuVnEAPm0GaG3qtIJBSj1Q/1x7/wrn
	OUjAtgRuIp46AFbj/BxvpSeVCXg+5A2sp1NiaVRX/6Jov8HuOwLYsI0oBbUrHJlAaN14
	rSPA==
MIME-Version: 1.0
Received: by 10.60.25.100 with SMTP id b4mr2799012oeg.64.1339698017210; Thu,
	14 Jun 2012 11:20:17 -0700 (PDT)
Received: by 10.182.17.10 with HTTP; Thu, 14 Jun 2012 11:20:17 -0700 (PDT)
Date: Thu, 14 Jun 2012 21:20:17 +0300
Message-ID: <CA++fsGGSgAUPUGuy6n=G0xB=7oHa3MHuDy+CxOnoNPAae3i+ug@HIDDEN>
Subject: 24.1.50; Bidi attributes are not exported in org-mode html output
From: Dov Grobgeld <dov.grobgeld@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgement at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

When using bidi (bi-direction) reordering together with org-mode, all
paragraphs automatically become either RTL or LTR according to the
emacs' Bidi heuristic algorithm. But when exporting to HTML, the
resolved paragraph direction is not included. In HTML the paragraph
directions must be set explicitly, e.g. by <div dir="RTL">...</div>, and
they should be set according to the directions resolved by emacs.


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/local/public-dev/share/emacs/24.1.50/etc/DEBUG.


In GNU Emacs 24.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
 of 2012-06-13 on grower
Windowing system distributor `Fedora Project', version 11.0.11200000
Configured using:
 `configure '--prefix=/usr/local/public-dev/' 'CFLAGS=-g -O0''

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Org

Minor modes in effect:
  buffer-face-mode: t
  show-paren-mode: t
  csv-field-index-mode: t
  partial-completion-mode: t
  xmsi-mode: t
  diff-auto-refine-mode: t
  delete-selection-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Recent input:
a r <tab> <return> b i d i - d i s <tab> p l a y -
r e o r d e r i n g <return> C-g C-g C-x o C-SPC M-f
M-f M-f M-w C-x o ( s e t q SPC C-y SPC n i l ) C-x
C-e C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-h v <return>
C-p C-p C-p C-b C-b C-b C-b C-b C-b C-b C-p C-h C-g
C-g C-q TAB C-n C-b C-b C-b C-b C-b C-b C-b C-q TAB
C-n C-b C-b C-b C-b C-b C-b C-b C-q TAB C-n C-n C-e
C-b C-b C-f <backspace> <backspace> <backspace> t C-e
C-x C-e C-b <backspace> n i l C-h C-q C-e C-g C-g C-g
C-e C-x C-e C-p C-p C-p C-b C-b C-b C-b C-b C-b C-b
C-p <backspace> C-n M-f C-b C-b C-b C-b <backspace>
C-n C-f C-f C-b <backspace> C-p C-p C-f C-f C-q <tab>
C-b C-n C-q <tab> C-b C-n C-q <tab> C-n C-n C-e C-b
<backspace> <backspace> <backspace> t C-e C-x C-e C-b
<backspace> n i l C-e C-x C-e C-p C-p C-p C-a C-p C-f
C-SPC C-n C-n C-x r t C-q TAB <return> C-p C-p C-p
C-e C-b C-SPC C-n C-n C-g C-p C-p C-e C-SPC C-n C-n
C-h C-q <tab> C-g C-g C-x C-x C-x r i C-_ C-_ C-SPC
C-n C-n C-x r t <return> C-n C-n C-n C-b <backspace>
<backspace> <backspace> t C-e C-x C-e C-b <backspace>
n i l C-e C-x C-e C-a C-p C-p C-p C-p C-p C-p C-p C-SPC
C-n C-n C-n M-% C-q TAB <return> <return> ! <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> C-x
1 C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n M-x r
e p o r t <tab> <return>

Recent messages:
Undo in region!
Mark set
byte-code: End of buffer
t
Auto-saving...
nil
byte-code: Beginning of buffer [3 times]
Mark set [2 times]
Replaced 9 occurrences
Auto-saving...
byte-code: End of buffer [9 times]

Load-path shadows:
/home/dov/github/dov-env/emacs/longlines hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/longlines
/home/dov/github/dov-env/emacs/compile hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/progmodes/compile
/home/dov/github/dov-env/emacs/octave-mod hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/progmodes/octave-mod
/home/dov/github/dov-env/emacs/gdb-mi hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/progmodes/gdb-mi
/home/dov/github/dov-env/emacs/octave-inf hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/progmodes/octave-inf
/home/dov/github/dov-env/emacs//org-mode/ob-lilypond hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-lilypond
/home/dov/github/dov-env/emacs//org-mode/ob-C hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-C
/home/dov/github/dov-env/emacs//org-mode/org-rmail hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-rmail
/home/dov/github/dov-env/emacs//org-mode/org-beamer hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-beamer
/home/dov/github/dov-env/emacs//org-mode/ob-comint hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-comint
/home/dov/github/dov-env/emacs//org-mode/ob-keys hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-keys
/home/dov/github/dov-env/emacs//org-mode/org-macs hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-macs
/home/dov/github/dov-env/emacs//org-mode/ob-ref hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-ref
/home/dov/github/dov-env/emacs//org-mode/ob-js hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-js
/home/dov/github/dov-env/emacs//org-mode/org-mobile hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-mobile
/home/dov/github/dov-env/emacs//org-mode/org-plot hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-plot
/home/dov/github/dov-env/emacs//org-mode/org-capture hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-capture
/home/dov/github/dov-env/emacs//org-mode/ob-lisp hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-lisp
/home/dov/github/dov-env/emacs//org-mode/org-compat hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-compat
/home/dov/github/dov-env/emacs//org-mode/org-html hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-html
/home/dov/github/dov-env/emacs//org-mode/org-id hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-id
/home/dov/github/dov-env/emacs//org-mode/ob-mscgen hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-mscgen
/home/dov/github/dov-env/emacs//org-mode/org-entities hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-entities
/home/dov/github/dov-env/emacs//org-mode/org-colview hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-colview
/home/dov/github/dov-env/emacs//org-mode/org-faces hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-faces
/home/dov/github/dov-env/emacs//org-mode/ob-R hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-R
/home/dov/github/dov-env/emacs//org-mode/ob-awk hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-awk
/home/dov/github/dov-env/emacs//org-mode/org-xoxo hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-xoxo
/home/dov/github/dov-env/emacs//org-mode/org-timer hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-timer
/home/dov/github/dov-env/emacs//org-mode/org-icalendar hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-icalendar
/home/dov/github/dov-env/emacs//org-mode/ob-org hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-org
/home/dov/github/dov-env/emacs//org-mode/ob-screen hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-screen
/home/dov/github/dov-env/emacs//org-mode/org-habit hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-habit
/home/dov/github/dov-env/emacs//org-mode/ob-eval hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-eval
/home/dov/github/dov-env/emacs//org-mode/org-datetree hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-datetree
/home/dov/github/dov-env/emacs//org-mode/ob-table hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-table
/home/dov/github/dov-env/emacs//org-mode/ob-scheme hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-scheme
/home/dov/github/dov-env/emacs//org-mode/org-ctags hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-ctags
/home/dov/github/dov-env/emacs//org-mode/org-mouse hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-mouse
/home/dov/github/dov-env/emacs//org-mode/ob-sh hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-sh
/home/dov/github/dov-env/emacs//org-mode/org hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org
/home/dov/github/dov-env/emacs//org-mode/org-mhe hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-mhe
/home/dov/github/dov-env/emacs//org-mode/org-mac-message hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-mac-message
/home/dov/github/dov-env/emacs//org-mode/ob-exp hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-exp
/home/dov/github/dov-env/emacs//org-mode/org-freemind hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-freemind
/home/dov/github/dov-env/emacs//org-mode/org-remember hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-remember
/home/dov/github/dov-env/emacs//org-mode/org-attach hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-attach
/home/dov/github/dov-env/emacs//org-mode/org-wl hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-wl
/home/dov/github/dov-env/emacs//org-mode/ob-java hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-java
/home/dov/github/dov-env/emacs//org-mode/ob-octave hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-octave
/home/dov/github/dov-env/emacs//org-mode/ob-matlab hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-matlab
/home/dov/github/dov-env/emacs//org-mode/org-ascii hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-ascii
/home/dov/github/dov-env/emacs//org-mode/org-bbdb hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-bbdb
/home/dov/github/dov-env/emacs//org-mode/ob-haskell hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-haskell
/home/dov/github/dov-env/emacs//org-mode/ob-sqlite hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-sqlite
/home/dov/github/dov-env/emacs//org-mode/org-info hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-info
/home/dov/github/dov-env/emacs//org-mode/ob-perl hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-perl
/home/dov/github/dov-env/emacs//org-mode/org-archive hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-archive
/home/dov/github/dov-env/emacs//org-mode/org-exp-blocks hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-exp-blocks
/home/dov/github/dov-env/emacs//org-mode/org-mks hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-mks
/home/dov/github/dov-env/emacs//org-mode/ob-ruby hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-ruby
/home/dov/github/dov-env/emacs//org-mode/org-protocol hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-protocol
/home/dov/github/dov-env/emacs//org-mode/org-special-blocks hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-special-blocks
/home/dov/github/dov-env/emacs//org-mode/org-table hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-table
/home/dov/github/dov-env/emacs//org-mode/org-taskjuggler hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-taskjuggler
/home/dov/github/dov-env/emacs//org-mode/ob-clojure hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-clojure
/home/dov/github/dov-env/emacs//org-mode/org-mew hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-mew
/home/dov/github/dov-env/emacs//org-mode/ob-ditaa hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-ditaa
/home/dov/github/dov-env/emacs//org-mode/org-w3m hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-w3m
/home/dov/github/dov-env/emacs//org-mode/ob-plantuml hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-plantuml
/home/dov/github/dov-env/emacs//org-mode/org-gnus hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-gnus
/home/dov/github/dov-env/emacs//org-mode/ob-tangle hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-tangle
/home/dov/github/dov-env/emacs//org-mode/ob hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob
/home/dov/github/dov-env/emacs//org-mode/org-src hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-src
/home/dov/github/dov-env/emacs//org-mode/ob-calc hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-calc
/home/dov/github/dov-env/emacs//org-mode/org-crypt hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-crypt
/home/dov/github/dov-env/emacs//org-mode/org-list hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-list
/home/dov/github/dov-env/emacs//org-mode/ob-latex hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-latex
/home/dov/github/dov-env/emacs//org-mode/org-docbook hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-docbook
/home/dov/github/dov-env/emacs//org-mode/org-pcomplete hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-pcomplete
/home/dov/github/dov-env/emacs//org-mode/org-publish hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-publish
/home/dov/github/dov-env/emacs//org-mode/ob-emacs-lisp hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-emacs-lisp
/home/dov/github/dov-env/emacs//org-mode/org-exp hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-exp
/home/dov/github/dov-env/emacs//org-mode/org-jsinfo hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-jsinfo
/home/dov/github/dov-env/emacs//org-mode/org-indent hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-indent
/home/dov/github/dov-env/emacs//org-mode/org-feed hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-feed
/home/dov/github/dov-env/emacs//org-mode/org-clock hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-clock
/home/dov/github/dov-env/emacs//org-mode/ob-lob hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-lob
/home/dov/github/dov-env/emacs//org-mode/org-bibtex hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-bibtex
/home/dov/github/dov-env/emacs//org-mode/org-latex hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-latex
/home/dov/github/dov-env/emacs//org-mode/org-footnote hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-footnote
/home/dov/github/dov-env/emacs//org-mode/ob-maxima hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-maxima
/home/dov/github/dov-env/emacs//org-mode/ob-sass hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-sass
/home/dov/github/dov-env/emacs//org-mode/ob-gnuplot hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-gnuplot
/home/dov/github/dov-env/emacs//org-mode/ob-dot hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-dot
/home/dov/github/dov-env/emacs//org-mode/org-inlinetask hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-inlinetask
/home/dov/github/dov-env/emacs//org-mode/ob-asymptote hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-asymptote
/home/dov/github/dov-env/emacs//org-mode/ob-css hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-css
/home/dov/github/dov-env/emacs//org-mode/org-agenda hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-agenda
/home/dov/github/dov-env/emacs//org-mode/ob-python hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-python
/home/dov/github/dov-env/emacs//org-mode/org-irc hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-irc
/home/dov/github/dov-env/emacs//org-mode/org-vm hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-vm
/home/dov/github/dov-env/emacs//org-mode/ob-ocaml hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-ocaml
/home/dov/github/dov-env/emacs//org-mode/org-docview hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/org-docview
/home/dov/github/dov-env/emacs//org-mode/ob-ledger hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-ledger
/home/dov/github/dov-env/emacs//org-mode/ob-sql hides
/usr/local/public-dev/share/emacs/24.1.50/lisp/org/ob-sql

Features:
(shadow mail-extr emacsbug sendmail rect jka-compr tabify org-table
face-remap org-wl org-w3m org-vm org-rmail org-mhe org-mew org-irc
org-jsinfo org-infojs org-html org-info org-gnus org-docview org-bibtex
bibtex org-bbdb paren zoom-frm qtdoc browse-url git-find-file org-mw
ob-C ob-R ob-octave ob-plantuml ob-asymptote ob-dot ob-ditaa ob-python
ob-perl ob-sh org-htmlslidy org-s5 persistent ipython executable
org-export iimage org-crypt org-install org-wikipedia org-git-hyperlink
org-man screenshot dmacro tramp tramp-compat tramp-loaddefs tex-mode
color-moccur matlab-load sourcepair csv-mode sort dired-details+
dired-details mediawiki url-cache mm-url url-http tls url-auth url-gw
python-mode url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap xml-parse doxymacs ack epa-file
epa epg epg-config epresent org-latex org-export-latex org-beamer
footnote org-exp ob-exp org-exp-blocks org-agenda org ob-emacs-lisp
ob-tangle ob-ref ob-lob ob-table org-footnote org-src ob-comint ob-keys
ob ob-eval org-pcomplete org-list org-faces org-compat org-entities
org-macs cal-menu calendar cal-loaddefs gnus-sum nnoo gnus-group
gnus-undo nnmail mail-source gnus-start gnus-spec gnus-int gnus-range
gnus-win gnus gnus-ems nnheader pde-load complete pde-abbv tempo-x tempo
pde-patch help-dwim woman man template-simple pde-vars
xmsi-math-symbols-input mo-git-blame scroll-all markdown-mode noutline
outline magit-blame magit-bisect magit-key-mode magit esh-var esh-io
esh-cmd esh-ext esh-proc esh-arg eldoc esh-groups eshell esh-module
esh-mode esh-util ido iswitchb diff-mode log-edit pcvs-util add-log
vc-ediff octave-mod csharp-mode cc-langs doc-mode derived sgml-mode
mb-depth two-column gud message rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev
mail-utils gmm-utils mailheader delsel server javascript-mode icicles
icicles-mode warnings dired+ dired-x dired-aux advice help-fns
advice-preload icicles-cmd2 compile easy-mmode imenu edmacro
icicles-cmd1 frame-cmds frame-fns avoid cus-edit cus-start cus-load yow
etags shell pcomplete cookie1 comint ansi-color ring bookmark pp dabbrev
recentf tree-widget icicles-mcmd help-mode view image-dired format-spec
dired filesets icicles-fn icicles-var cl-macs icicles-opt kmacro ffap
url-parse auth-source eieio byte-opt bytecomp byte-compile cconv
gnus-util mm-util mail-prsvr password-cache url-vars wid-edit thingatpt
icicles-face icicles-mac cl macroexp cl-lib gtk-look info-look info vc
ediff-merg ediff-diff ediff-wind ediff-help ediff-util ediff-mult
ediff-init ediff vc-dispatcher cc-mode cc-fonts easymenu cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs time-date
tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)




Acknowledgement sent to Dov Grobgeld <dov.grobgeld@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11710; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.